Subject: Re: BogoMIPS no longer supported on PowerPC?

From: Tim Bird <[email-masked]>
Date: Wed, 23 Aug 2006 09:32:56 -0700

Johannes Berg wrote:
> On Wed, 2006-08-23 at 18:25 +0800, Li Yang-r58472 wrote:
>  > I noticed a recent modification to __delay has changed from using empty
>  > loops to reading timebase.  Thus, breaks the calculation of bogomips,
>  > and makes it terribly low.  Is the bogomips no longer being supported on
>  > powerpc arch?
> 
> What's there to be 'supported'? The only purpose of bogomips is
> calibrating the delay loop, and that has changed now by using timebase,
> hence bogomips no longer have a purpose. There was even a patch to
> remove it from /proc/cpuinfo but I'm not sure whether that got applied
> or not.

I missed the patch for this, but I have a related question.
What is the status of the calibration code now for PPC?
Is it just skipped?

I assume that the ability to set a preset loops_per_jiffy
is no longer relevant?
 -- Tim

=============================
Tim Bird
Architecture Group Chair, CE Linux Forum
Senior Staff Engineer, Sony Electronics
=============================